﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LEADTOOLS_Game_Capture_Demo
{
   public partial class UploadYoutubeSettings : Form
   {
      private string _jsonFilePath, _videoTitle, _videoDescription, _channelId, _videoPrivacyStatus;
      private string _videoCategoryId;

      public string JsonFilePath
      {
         get { return _jsonFilePath; }
         set { _jsonFilePath = value; }
      }

      public string VideoTitle
      {
         get { return _videoTitle; }
         set { _videoTitle = value; }
      }

      public string VideoDescription
      {
         get { return _videoDescription; }
         set { _videoDescription = value; }
      }

      public string ChannelId
      {
         get { return _channelId; }
         set { _channelId = value; }
      }

      public string VideoPrivacyStatus
      {
         get { return _videoPrivacyStatus; }
         set { _videoPrivacyStatus = value; }
      }

      public string VideoCategoryId
      {
         get { return _videoCategoryId; }
         set { _videoCategoryId = value; }
      }

      public UploadYoutubeSettings()
      {
         InitializeComponent();
      }

      public UploadYoutubeSettings(string jsonFilePath, string videoTitle, string videoDescription, string channelId, string privacyStatus, string videoCategoryId)
      {
         InitializeComponent();

         cboUploadYoutubeSettingsVideoCategoryId.DisplayMember = "Text";
         cboUploadYoutubeSettingsVideoCategoryId.ValueMember = "Value";

         var items = new[] {
            new { Text = "Film & Animation", Value = "1" },
            new { Text = "Autos & Vehicles", Value = "2" },
            new { Text = "Music", Value = "10" },
            new { Text = "Pets & Animals", Value = "15" },
            new { Text = "Sports", Value = "17" },
            new { Text = "Short Movies", Value = "18" },
            new { Text = "Travel & Events", Value = "19" },
            new { Text = "Gaming", Value = "20" },
            new { Text = "Videoblogging", Value = "21" },
            new { Text = "People & Blogs", Value = "22" },
            new { Text = "Comedy", Value = "23" },
            new { Text = "Entertainment", Value = "24" },
            new { Text = "News & Politics", Value = "25" },
            new { Text = "Howto & Style", Value = "26" },
            new { Text = "Education", Value = "27" },
            new { Text = "Science & Technology", Value = "28" },
            new { Text = "Nonprofits & Activism", Value = "29" },
            new { Text = "Movies", Value = "30" },
            new { Text = "Anime/Animation", Value = "31" },
            new { Text = "Action/Adventure", Value = "32" },
            new { Text = "Classics", Value = "33" },
            new { Text = "Comedy", Value = "34" },
            new { Text = "Documentary", Value = "35" },
            new { Text = "Drama", Value = "36" },
            new { Text = "Family", Value = "37" },
            new { Text = "Foreign", Value = "38" },
            new { Text = "Horror", Value = "39" },
            new { Text = "Sci-Fi/Fantasy", Value = "40" },
            new { Text = "Thriller", Value = "41" },
            new { Text = "Shorts", Value = "42" },
            new { Text = "Shows", Value = "43" },
            new { Text = "Trailers", Value = "44" },
         };

         cboUploadYoutubeSettingsVideoCategoryId.DataSource = items;

         _jsonFilePath = jsonFilePath;
         _videoTitle = videoTitle;
         _videoDescription = videoDescription;
         _channelId = channelId;
         _videoPrivacyStatus = privacyStatus;
         _videoCategoryId = videoCategoryId;
         txtUploadYoutubeSettingsJsonFilePath.Text = jsonFilePath;
         txtUploadYoutubeSettingsVideoTitle.Text = videoTitle;
         txtUploadYoutubeSettingsVideoDescription.Text = videoDescription;
         txtUploadYoutubeSettingsChannelId.SelectedText = channelId;
         cboUploadYoutubeSettingsPrivacyStatus.SelectedItem = privacyStatus;
         cboUploadYoutubeSettingsVideoCategoryId.SelectedValue = videoCategoryId;
      }

      private void btnUploadYoutubeSettingsOk_Click(object sender, EventArgs e)
      {
         _jsonFilePath = txtUploadYoutubeSettingsJsonFilePath.Text;
         _videoTitle = txtUploadYoutubeSettingsVideoTitle.Text;
         _videoDescription = txtUploadYoutubeSettingsVideoDescription.Text;
         _channelId = txtUploadYoutubeSettingsChannelId.Text;
         _videoPrivacyStatus = cboUploadYoutubeSettingsPrivacyStatus.SelectedItem.ToString();
         _videoCategoryId = cboUploadYoutubeSettingsVideoCategoryId.SelectedValue.ToString();

         this.Close();
      }

      private void btnUploadYoutubeSettingsCancel_Click(object sender, EventArgs e)
      {
         this.Close();
      }

      private void btnUploadYoutubeSettingsBrowse_Click(object sender, EventArgs e)
      {
         OpenFileDialog dlg = new OpenFileDialog();
         // Show the FolderBrowserDialog.
         DialogResult result = dlg.ShowDialog();
         if (result == DialogResult.OK)
         {
            txtUploadYoutubeSettingsJsonFilePath.Text = dlg.FileName;
         }
      }
   }
}
