﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LEADTOOLS_Game_Capture_Demo
{
   public partial class VideoSettingsDialog : Form
   {
      private int _captureFps, _videoClipLength;
      private string _videoSaveDirectory;

      public int CaptureFps
      {
         get { return _captureFps; }
      }

      public int VideoClipLength
      {
         get { return _videoClipLength; }
      }

      public string VideoSaveDirectory
      {
         get { return _videoSaveDirectory; }
         set { _videoSaveDirectory = value; }
      }

      public VideoSettingsDialog()
      {
         InitializeComponent();
      }

      private void btnVideoSettingsDialogOk_Click(object sender, EventArgs e)
      {
         Int32.TryParse(txtCaptureFps.Text, out _captureFps);
         Int32.TryParse(txtVideoClipLength.Text, out _videoClipLength);
         _videoSaveDirectory = txtVideoSaveDirectory.Text;

         this.Close();
      }

      private void btnVideoSettingsDialogCancel_Click(object sender, EventArgs e)
      {
         this.Close();
      }

      private void btnVideoSettingsDialogBrowse_Click(object sender, EventArgs e)
      {
         FolderBrowserDialog dlg = new FolderBrowserDialog();
         // Show the FolderBrowserDialog.
         DialogResult result = dlg.ShowDialog();
         if (result == DialogResult.OK)
         {
            txtVideoSaveDirectory.Text = dlg.SelectedPath;
         }
      }

      public VideoSettingsDialog(int captureFps, int videoClipLength, string videoSaveDirectory)
      {
         InitializeComponent();
         _captureFps = captureFps;
         _videoClipLength = videoClipLength;
         _videoSaveDirectory = videoSaveDirectory;
         txtCaptureFps.Text = captureFps.ToString();
         txtVideoClipLength.Text = videoClipLength.ToString();
         txtVideoSaveDirectory.Text = videoSaveDirectory;
      }
   }
}
