﻿using LMScrCapLib;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;

namespace LEADTOOLS_Game_Capture_Demo
{
   class ScrCaptureCallback : ILMScrCapUserCallback
   {
      private int _classRegionLeft, _classRegionTop, _classRegionRight, _classRegionBottom;
      private string _windowName;

      public string WindowName
      {
         get { return _windowName; }
         set { _windowName = value; }
      }

      public int ClassRegionLeft
      {
         get { return _classRegionLeft; }
         set { _classRegionLeft = value; }
      }

      public int ClassRegionTop
      {
         get { return _classRegionTop; }
         set { _classRegionTop = value; }
      }

      public int ClassRegionRight
      {
         get { return _classRegionRight; }
         set { _classRegionRight = value; }
      }

      public int ClassRegionBottom
      {
         get { return _classRegionBottom; }
         set { _classRegionBottom = value; }
      }

      public void RegionDataProc(int lLeft, int lTop, int lRight, int lBottom, int pUserData)
      {
         _classRegionLeft = lLeft;
         _classRegionTop = lTop;
         _classRegionRight = lRight;
         _classRegionBottom = lBottom;
      }

      [DllImport("user32.dll", CharSet = CharSet.Auto)]
      public static extern int GetWindowText(HandleRef hWnd, StringBuilder lpString, int nMaxCount);

      public void WindowDataProc(int lWindow, WindowSelectStatusConstants WindowStatus, int pUserData)
      {
         if (WindowStatus == WindowSelectStatusConstants.WINDOW_SELECT_STATUS_SELECTED)
         {
            StringBuilder stringBuilder = new StringBuilder(lWindow);
            GetWindowText(new HandleRef(this, (IntPtr)lWindow), stringBuilder, stringBuilder.Capacity);
            _windowName = Path.GetInvalidFileNameChars().Aggregate(stringBuilder.ToString(), (current, c) => current.Replace(c.ToString(), string.Empty));
         }
      }

      public void NotifyCallbackProc(NotifyCallbackConstants NotifyCallback, int pUserData) { }
   }
}
